> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Document for Merchant

> Upload a document for a merchant.



## OpenAPI

````yaml openapi.json patch /partners/merchants/{merchant_id}/documents/
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /partners/merchants/{merchant_id}/documents/:
    patch:
      tags:
        - Merchants
      summary: Upload Merchant Document
      description: Upload a document for a merchant.
      parameters:
        - name: merchant_id
          in: path
          description: The ID of the merchant to upload the document for.
          required: true
          schema:
            type: string
      requestBody:
        description: Document upload request. The body must be multipart/form-data.
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to upload.
                document_type:
                  type: string
                  description: >-
                    Type of document (INVOICE). Only invoice is supported
                    currently.
              required:
                - file
                - document_type
            example:
              document_type: INVOICE
              file: Screenshot 2025-05-21 at 2.44.41 PM.png
      responses:
        '200':
          description: Document uploaded successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      detail:
                        type: string
              example:
                success: true
                message: Invoice uploaded successfully
                data:
                  detail: Invoice uploaded successfully
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````